function TradeBalancer()
	local eID = Event.GetEntityID()
	local TSellTyp = Event.GetSellResource()
	local TTyp = Event.GetBuyResource() 
	local PID = Logic.EntityGetPlayer(eID)
	if Logic.GetCurrentPrice(PID,TSellTyp) > 1.3 then
		Logic.SetCurrentPrice(PID, TSellTyp, 1.3 )
	end
	if Logic.GetCurrentPrice(PID,TSellTyp) < 0.75 then
		Logic.SetCurrentPrice(PID, TSellTyp, 0.75 )
	end
	if Logic.GetCurrentPrice(PID,TTyp) > 1.3 then
		Logic.SetCurrentPrice(PID, TTyp, 1.3 )
	end
	if Logic.GetCurrentPrice(PID,TTyp) < 0.75 then
		Logic.SetCurrentPrice(PID, TTyp, 0.75 )
	end
end

function TradeBlancerInit()
	TradeTriggerID = Trigger.RequestTrigger(Events.LOGIC_EVENT_GOODS_TRADED, "", "TradeBalancer", 1)
end